=== debian/changelog ===
rapidfuzz (3.6.2+ds-1) unstable; urgency=low

  * Initial release (closes: #1019435)

 -- Julian Gilbey <jdg@debian.org>  Wed, 06 Mar 2024 09:29:57 +0000
