=== debian/control ===
Source: rapidfuzz
Section: python
Priority: optional
Maintainer: Julian Gilbey <jdg@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3
Build-Depends-Arch: cython3,
                    librapidfuzz-cpp-dev,
                    libtaskflow-cpp-dev,
                    pybuild-plugin-pyproject,
                    python3-all-dev,
                    python3-hypothesis <!nocheck>,
                    python3-numpy <!nocheck>,
                    python3-pandas <!nocheck>,
                    python3-pytest <!nocheck>,
                    python3-setuptools,
                    python3-skbuild
Build-Depends-Indep: dh-sequence-sphinxdoc <!nodoc>,
                     furo <!nodoc>,
                     python3-sphinx <!nodoc>,
                     python3-sphinxcontrib.bibtex <!nodoc>
Standards-Version: 4.6.2
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/maxbachmann/RapidFuzz
Vcs-Browser: https://salsa.debian.org/python-team/packages/rapidfuzz
Vcs-Git: https://salsa.debian.org/python-team/packages/rapidfuzz.git
Rules-Requires-Root: no
Description: Rapid fuzzy string matching library
 RapidFuzz is a fast string matching library for Python and C++,
 providing Levenshtein and other distances.  This is similar to the
 functionality of the python3-fuzzywuzzy package.  There are a few
 significant differences between these packages:
 .
 1) RapidFuzz is MIT licensed.
 2) RapidFuzz provides many string metrics, such as Hamming and Jaro-Winkler,
    which are not included in FuzzyWuzzy.
 3) RapidFuzz is mostly written in C++, and has further algorithmic
    improvements to make string matching even faster.
 4) RapidFuzz fixes multiple bugs in the `partial_ratio` implementation.

Package: python3-rapidfuzz
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: ${source:Synopsis} (Python library)
 ${source:Extended-Description}

Package: python-rapidfuzz-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Recommends: python3-rapidfuzz
Description: ${source:Synopsis} (Python module documentation)
 ${source:Extended-Description}
 .
 This package contains the RapidFuzz Python module documentation in
 HTML format.
Build-Profiles: <!nodoc>
