=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=rapidfuzz
export PYBUILD_TEST_PYTEST=1

SPHINXBUILD=sphinx-build
SPHINXBUILDDIR=build

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_configure:
	mkdir -p buildlib
	cd buildlib && cmake ../ \
	    -D CMAKE_MODULE_PATH=/usr/lib/python3/dist-packages/skbuild/resources/cmake

ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_build-indep:
	export PYTHONPATH=$$(pybuild --print build_dir | grep "^$$(py3versions -d)" | sed -e 's/^.*: //'); \
	    cd docs && $(SPHINXBUILD) -b html -d $(SPHINXBUILDDIR)/doctrees . $(SPHINXBUILDDIR)/html

execute_after_dh_auto_clean:
	cd docs && rm -rf $(SPHINXBUILDDIR)
	rm -rf buildlib _skbuild

override_dh_installdocs:
	dh_installdocs -ppython-rapidfuzz-doc --doc-main-package=python3-rapidfuzz
	dh_installdocs --remaining-packages
endif
