## rapidfuzz 3.9.4+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.12...3.24)
+cmake_minimum_required(VERSION 3.12...3.29)
 
 set(CMAKE_INTERPROCEDURAL_OPTIMIZATION TRUE)
 set(CMAKE_POSITION_INDEPENDENT_CODE ON)
@@ -73,7 +73,19 @@
 
 set(RF_BASE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/src)
 
-find_package(Taskflow 3.3.0 QUIET)
+find_package(Taskflow 3.7.0 QUIET)
+if(NOT Taskflow_FOUND)
+  find_package(Taskflow 3.6.0 QUIET)
+endif()
+if(NOT Taskflow_FOUND)
+  find_package(Taskflow 3.5.0 QUIET)
+endif()
+if(NOT Taskflow_FOUND)
+  find_package(Taskflow 3.4.0 QUIET)
+endif()
+if(NOT Taskflow_FOUND)
+  find_package(Taskflow 3.3.0 QUIET)
+endif()
 if(Taskflow_FOUND)
   message(STATUS "Using system supplied version of Taskflow")
 else()
@@ -91,7 +103,7 @@
   add_library(Taskflow::Taskflow ALIAS Taskflow)
 endif()
 
-find_package(rapidfuzz 3.0.2 QUIET)
+find_package(rapidfuzz 3.0.5 QUIET)
 if(rapidfuzz_FOUND)
   message(STATUS "Using system supplied version of rapidfuzz-cpp")
 else()
