=== debian/changelog ===
rapidfuzz (3.9.4+ds-1) unstable; urgency=medium

  * New upstream version

 -- Julian Gilbey <jdg@debian.org>  Sun, 14 Jul 2024 07:23:32 +0100

rapidfuzz (3.6.2+ds-3) unstable; urgency=medium

  * Fix arch-all build; we need to build the package to build the
    documentation (closes: #1069624)

 -- Julian Gilbey <jdg@debian.org>  Thu, 25 Apr 2024 21:02:09 +0100

rapidfuzz (3.6.2+ds-2) unstable; urgency=medium

  * Source-only upload

 -- Julian Gilbey <jdg@debian.org>  Thu, 18 Apr 2024 21:43:54 +0100
