=== debian/control ===
--- 
+++ 
@@ -2,25 +2,24 @@
 Section: python
 Priority: optional
 Maintainer: Julian Gilbey <jdg@debian.org>
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-python3
-Build-Depends-Arch: cython3,
-                    librapidfuzz-cpp-dev,
-                    libtaskflow-cpp-dev,
-                    pybuild-plugin-pyproject,
-                    python3-all-dev,
-                    python3-hypothesis <!nocheck>,
+Build-Depends: cython3,
+               debhelper-compat (= 13),
+               dh-sequence-python3,
+               librapidfuzz-cpp-dev (>= 3.0.5),
+               libtaskflow-cpp-dev,
+               pybuild-plugin-pyproject,
+               python3-all-dev,
+               python3-setuptools,
+               python3-skbuild
+Build-Depends-Arch: python3-hypothesis <!nocheck>,
                     python3-numpy <!nocheck>,
                     python3-pandas <!nocheck>,
-                    python3-pytest <!nocheck>,
-                    python3-setuptools,
-                    python3-skbuild
+                    python3-pytest <!nocheck>
 Build-Depends-Indep: dh-sequence-sphinxdoc <!nodoc>,
                      furo <!nodoc>,
                      python3-sphinx <!nodoc>,
                      python3-sphinxcontrib.bibtex <!nodoc>
-Standards-Version: 4.6.2
-Testsuite: autopkgtest-pkg-python
+Standards-Version: 4.7.0
 Homepage: https://github.com/maxbachmann/RapidFuzz
 Vcs-Browser: https://salsa.debian.org/python-team/packages/rapidfuzz
 Vcs-Git: https://salsa.debian.org/python-team/packages/rapidfuzz.git
@@ -45,13 +44,15 @@
          ${python3:Depends},
          ${shlibs:Depends}
 Recommends: ${python3:Recommends}
-Suggests: ${python3:Suggests}
+Suggests: python-rapidfuzz-doc,
+          ${python3:Suggests}
 Description: ${source:Synopsis} (Python library)
  ${source:Extended-Description}
 
 Package: python-rapidfuzz-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
 Recommends: python3-rapidfuzz
