## rapidfuzz 3.10.1+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.12...3.29)
+cmake_minimum_required(VERSION 3.15...3.30)
 
 set(CMAKE_INTERPROCEDURAL_OPTIMIZATION TRUE)
 set(CMAKE_POSITION_INDEPENDENT_CODE ON)
@@ -29,6 +29,10 @@
 
 if(MSVC)
   add_compile_options(/W4 /bigobj /wd4127)
+
+  # NOTE: _DISABLE_CONSTEXPR_MUTEX_CONSTRUCTOR is temporary. When building on
+  # VS 2022 17.10 or newer, but using an older runtime, mutexes can crash
+  add_compile_options(/D_DISABLE_CONSTEXPR_MUTEX_CONSTRUCTOR)
 else()
   add_compile_options(-Wall -Wextra -pedantic -Wno-psabi)
 endif()
@@ -73,7 +77,10 @@
 
 set(RF_BASE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/src)
 
-find_package(Taskflow 3.7.0 QUIET)
+find_package(Taskflow 3.8.0 QUIET)
+if(NOT Taskflow_FOUND)
+  find_package(Taskflow 3.7.0 QUIET)
+endif()
 if(NOT Taskflow_FOUND)
   find_package(Taskflow 3.6.0 QUIET)
 endif()
@@ -103,7 +110,7 @@
   add_library(Taskflow::Taskflow ALIAS Taskflow)
 endif()
 
-find_package(rapidfuzz 3.0.5 QUIET)
+find_package(rapidfuzz 3.1.1 QUIET)
 if(rapidfuzz_FOUND)
   message(STATUS "Using system supplied version of rapidfuzz-cpp")
 else()
