=== debian/changelog ===
rapidfuzz (3.10.1+ds-1) unstable; urgency=medium

  * New upstream version (closes: #1087646)
  * Change maintainer to Debian Python Team with me as Uploader (always my
    intention, but somehow didn't do it when I first packaged it)

 -- Julian Gilbey <jdg@debian.org>  Tue, 19 Nov 2024 07:13:06 +0000
