## rapidfuzz 3.12.1+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -30,11 +30,16 @@
 if(MSVC)
   add_compile_options(/W4 /bigobj /wd4127)
 
-  # NOTE: _DISABLE_CONSTEXPR_MUTEX_CONSTRUCTOR is temporary. When building on
-  # VS 2022 17.10 or newer, but using an older runtime, mutexes can crash
+  # NOTE: _DISABLE_CONSTEXPR_MUTEX_CONSTRUCTOR is temporary. When building on VS
+  # 2022 17.10 or newer, but using an older runtime, mutexes can crash
   add_compile_options(/D_DISABLE_CONSTEXPR_MUTEX_CONSTRUCTOR)
 else()
   add_compile_options(-Wall -Wextra -pedantic -Wno-psabi)
+endif()
+
+if(EMSCRIPTEN)
+  add_compile_options(-fexceptions)
+  add_link_options(-fexceptions)
 endif()
 
 if(CMAKE_VERSION VERSION_LESS 3.18)
@@ -77,7 +82,10 @@
 
 set(RF_BASE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/src)
 
-find_package(Taskflow 3.8.0 QUIET)
+find_package(Taskflow 3.9.0 QUIET)
+if(NOT Taskflow_FOUND)
+  find_package(Taskflow 3.8.0 QUIET)
+endif()
 if(NOT Taskflow_FOUND)
   find_package(Taskflow 3.7.0 QUIET)
 endif()
@@ -110,7 +118,7 @@
   add_library(Taskflow::Taskflow ALIAS Taskflow)
 endif()
 
-find_package(rapidfuzz 3.1.1 QUIET)
+find_package(rapidfuzz 3.2.0 QUIET)
 if(rapidfuzz_FOUND)
   message(STATUS "Using system supplied version of rapidfuzz-cpp")
 else()
