=== debian/changelog ===
rapidfuzz (3.12.1+ds-1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 19:34:38 +0000

rapidfuzz (3.12.1+ds-1) unstable; urgency=medium

  * New upstream version

 -- Julian Gilbey <jdg@debian.org>  Mon, 03 Feb 2025 06:37:14 +0000
