=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: rapidfuzz
 Section: python
 Priority: optional
-Maintainer: Julian Gilbey <jdg@debian.org>
-Build-Depends: cython3,
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Julian Gilbey <jdg@debian.org>
+Build-Depends: cmake,
+               cython3,
                debhelper-compat (= 13),
                dh-sequence-python3,
-               librapidfuzz-cpp-dev (>= 3.0.5),
+               librapidfuzz-cpp-dev (>= 3.1.1),
                libtaskflow-cpp-dev,
                pybuild-plugin-pyproject,
                python3-all-dev,
-               python3-setuptools,
-               python3-skbuild
+               python3-scikit-build-core
 Build-Depends-Arch: python3-hypothesis <!nocheck>,
                     python3-numpy <!nocheck>,
                     python3-pandas <!nocheck>,
@@ -43,7 +44,7 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Recommends: ${python3:Recommends}
+Recommends: ${python3:Recommends}, python3-numpy
 Suggests: python-rapidfuzz-doc,
           ${python3:Suggests}
 Description: ${source:Synopsis} (Python library)
