=== debian/changelog ===
rapidfuzz (3.12.2+ds-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 15:00:49 +0000

rapidfuzz (3.12.2+ds-1) unstable; urgency=medium

  * New upstream version
  * Ignore Cython dependency version bump; it is not yet packaged

 -- Julian Gilbey <jdg@debian.org>  Tue, 01 Apr 2025 12:41:41 +0100
